# LeetCode Stats Tracker

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)


LeetCode Stats is a React-based web application that helps you keep track of your LeetCode problem-solving progress with rich visualizations and detailed statistics.

## Table of Contents

- [Features](#features)
- [Demo](#demo)
- [Installation](#installation)
- [Usage](#usage)
- [Contributing](#contributing)
- [License](#license)
- [Contact](#contact)

## Features

- **Progress Tracking**: Track the number of problems solved, categorized by difficulty.
- **Visualizations**: View your progress through various charts and graphs.
- **Detailed Statistics**: Get insights on your problem-solving patterns and performance.
- **Responsive Design**: Accessible on both desktop and mobile devices.

## Demo

Check out the live demo [here](https://your-live-demo-url.com).

## Installation

To run the project locally, follow these steps:

1. **Clone the repository**:

   ```bash
   git clone https://github.com/karan-gaur/leetcode-stats.git
   cd leetcode-stats
   ```

2. **Install dependencies**:

   ```bash
   npm install
   ```

3. **Start the EXAMPLE - development server**:

   ```bash
   cd example
   npm install
   npm start
   ```

   The app will be available at `http://localhost:3000`.

## Usage

1. **Sync Your Data**: Connect your LeetCode account to sync your problem-solving data.
2. **View Your Stats**: Explore the various charts and graphs to gain insights into your progress.
3. **Track Your Progress**: Regularly update your data to keep track of your improvement over time.

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

## Contact

If you have any questions or suggestions, feel free to reach out:

- **GitHub**: [@karan-gaur](https://github.com/karan-gaur)
